Resource Center/Network Service/Network Service Operations/VPC Firewall Operations
PUTVPC Firewall OperationsSince 3.6.0SynchronousAuth Required
ChangeFirewallRuleState
ChangeFirewallRuleState
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe resource UUID.
Body Fields
changefirewallrulestateObjectRequiredchangefirewallrulestate request body object.
stateStringRequiredThe action to change the state of the firewall rule.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/vpcfirewalls/rules/{uuid}/actions
/zstack/v1/vpcfirewalls/rules/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/vpcfirewalls/rules/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"changefirewallrulestate":{"state":"<state>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "ruleSetUuid": "387ccd99cb2b3374a24f86108c3b8653", "action": "accept", "protocol": "TCP", "destPort": "22", "sourcePort": "22", "sourceIp": "192.168.1.2", "destIp": "192.168.1.1", "ruleNumber": 1001.0, "allowStates": "invalid,new", "tcpFlag": "SYN", "icmpTypeName": "echo-reply", "enableLog": false, "isApplied": true, "expired": false, "isDefault": false, "description": "example rule des" } }Change History
This API has no change history records yet.
